## org.apache.batik.swing.gvt
Class AbstractZoomInteractor

    java.lang.Object
      org.apache.batik.swing.gvt.InteractorAdapter
          org.apache.batik.swing.gvt.AbstractZoomInteractor

All Implemented Interfaces:
  java.util.EventListener, Interactor, java.awt.event.KeyListener, java.awt.event.MouseListener, java.awt.event.MouseMotionListener

public class AbstractZoomInteractor
extends InteractorAdapter

This class represents a zoom interactor. To use it, just redefine the `InteractorAdapter.startInteraction(InputEvent)` method.

Nested Class Summary
`protected class` `AbstractZoomInteractor.ZoomOverlay` To paint the interactor.

Field Summary
`protected boolean` `finished` Whether the interactor has finished.
`protected java.awt.geom.Line2D` `markerBottom` The zoom marker bottom line.
`protected java.awt.geom.Line2D` `markerLeft` The zoom marker left line.
`protected java.awt.geom.Line2D` `markerRight` The zoom marker right line.
`protected java.awt.BasicStroke` `markerStroke` Used to draw marker
`protected java.awt.geom.Line2D` `markerTop` The zoom marker top line.
`protected Overlay` `overlay` The overlay.
`protected int` `xCurrent` The mouse x current position.
`protected int` `xStart` The mouse x start position.
`protected int` `yCurrent` The mouse y current position.
`protected int` `yStart` The mouse y start position.

Constructor Summary
`AbstractZoomInteractor()`

Method Summary
`boolean` `endInteraction()` Tells whether the interactor has finished.
`void` `mouseDragged(java.awt.event.MouseEvent e)` Invoked when a mouse button is pressed on a component and then dragged.
`void` `mouseExited(java.awt.event.MouseEvent e)` Invoked when the mouse exits a component.
`void` `mousePressed(java.awt.event.MouseEvent e)` Invoked when a mouse button has been pressed on a component.
`void` `mouseReleased(java.awt.event.MouseEvent e)` Invoked when a mouse button has been released on a component.

Methods inherited from class org.apache.batik.swing.gvt.InteractorAdapter
`keyPressed, keyReleased, keyTyped, mouseClicked, mouseEntered, mouseMoved, startInteraction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### finished

    protected boolean finished

  Whether the interactor has finished.

### xStart

    protected int xStart

  The mouse x start position.

### yStart

    protected int yStart

  The mouse y start position.

### xCurrent

    protected int xCurrent

  The mouse x current position.

### yCurrent

    protected int yCurrent

  The mouse y current position.

### markerTop

    protected java.awt.geom.Line2D markerTop

  The zoom marker top line.

### markerLeft

    protected java.awt.geom.Line2D markerLeft

  The zoom marker left line.

### markerBottom

    protected java.awt.geom.Line2D markerBottom

  The zoom marker bottom line.

### markerRight

    protected java.awt.geom.Line2D markerRight

  The zoom marker right line.

### overlay

    protected Overlay overlay

  The overlay.

### markerStroke

    protected java.awt.BasicStroke markerStroke

  Used to draw marker

Constructor Detail

### AbstractZoomInteractor

    public AbstractZoomInteractor()

Method Detail

### endInteraction

    public boolean endInteraction()

  Tells whether the interactor has finished.

  Specified by:
    `endInteraction` in interface `Interactor`
  Overrides:
    `endInteraction` in class `InteractorAdapter`

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  Invoked when a mouse button has been pressed on a component.

  Specified by:
    `mousePressed` in interface `java.awt.event.MouseListener`
  Overrides:
    `mousePressed` in class `InteractorAdapter`

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

  Invoked when a mouse button has been released on a component.

  Specified by:
    `mouseReleased` in interface `java.awt.event.MouseListener`
  Overrides:
    `mouseReleased` in class `InteractorAdapter`

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent e)

  Invoked when the mouse exits a component.

  Specified by:
    `mouseExited` in interface `java.awt.event.MouseListener`
  Overrides:
    `mouseExited` in class `InteractorAdapter`

### mouseDragged

    public void mouseDragged(java.awt.event.MouseEvent e)

  Invoked when a mouse button is pressed on a component and then dragged. Mouse drag events will continue to be delivered to the component where the first originated until the mouse button is released (regardless of whether the mouse position is within the bounds of the component).

  Specified by:
    `mouseDragged` in interface `java.awt.event.MouseMotionListener`
  Overrides:
    `mouseDragged` in class `InteractorAdapter`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.